API reference
API reference
Select your platform
No SDKs available
No versions available

DictationService Class

Meta::WitAi::Dictation::DictationService extends Meta.WitAi.BaseSpeechService.
Meta::WitAi::Dictation::DictationService extends Meta.WitAi.Dictation.IDictationService.
Meta::WitAi::Dictation::DictationService extends Meta.WitAi.Interfaces.IAudioEventProvider.
Meta::WitAi::Dictation::DictationService extends Meta.WitAi.Interfaces.ITranscriptionEventProvider.

Overview

Data Fields

bool
Returns true if the service is actively communicating with Wit.ai during an Activation. The mic may or may not still be active while this is true.
A subset of events around collection of audio data
A subset of events around receiving transcriptions

Properties

Gets/Sets a custom transcription provider. This can be used to replace any built in asr with an on device model or other provided source
abstract bool
Returns true if this voice service is currently reading data from the microphone
abstract bool
Returns true if the audio input should be read in an activation

Object Data

override SpeechEvents
If applicable, get all speech events
void
Awake ( )

Public Member Functions

void
Activate the microphone and send data for NLU processing. Includes optional additional request parameters like dynamic entities and maximum results.
void
Activate
( WitRequestOptions requestOptions )
Activate the microphone and send data for NLU processing. Includes optional additional request parameters like dynamic entities and maximum results.
Activate the microphone and send data for NLU processing. Includes optional additional request parameters like dynamic entities and maximum results.
Activate
( WitRequestOptions requestOptions,
VoiceServiceRequestEvents requestEvents )
Activate the microphone and send data for NLU processing. Includes optional additional request parameters like dynamic entities and maximum results.
void
Activate the microphone and send data for NLU processing immediately without waiting for sound/speech from the user to begin. Includes optional additional request parameters like dynamic entities and maximum results.
void
Activate the microphone and send data for NLU processing immediately without waiting for sound/speech from the user to begin. Includes optional additional request parameters like dynamic entities and maximum results.
Activate the microphone and send data for NLU processing immediately without waiting for sound/speech from the user to begin. Includes optional additional request parameters like dynamic entities and maximum results.
Activate the microphone and send data for NLU processing immediately without waiting for sound/speech from the user to begin. Includes optional additional request parameters like dynamic entities and maximum results.
abstract void
Cancel ( )
Cancels the current transcription. No FullTranscription event will fire.

Details

Object Data

DictationEvents Meta.WitAi.Dictation.DictationService.dictationEvents
summary> Internal events used to report telemetry. These events are reserved for internal use only and should not be used for any other purpose.
TelemetryEvents Meta.WitAi.Dictation.DictationService.telemetryEvents
No description available.

Fields

virtual bool Meta.WitAi.Dictation.DictationService.IsRequestActive
Returns true if the service is actively communicating with Wit.ai during an Activation. The mic may or may not still be active while this is true.
IAudioInputEvents Meta.WitAi.Dictation.DictationService.AudioEvents
A subset of events around collection of audio data
ITranscriptionEvent Meta.WitAi.Dictation.DictationService.TranscriptionEvents
A subset of events around receiving transcriptions

Properties

abstract ITranscriptionProvider Meta.WitAi.Dictation.DictationService.TranscriptionProvider
Gets/Sets a custom transcription provider. This can be used to replace any built in asr with an on device model or other provided source
abstract bool Meta.WitAi.Dictation.DictationService.MicActive
Returns true if this voice service is currently reading data from the microphone
virtual DictationEvents Meta.WitAi.Dictation.DictationService.DictationEvents
No description available.
TelemetryEvents Meta.WitAi.Dictation.DictationService.TelemetryEvents
No description available.
abstract bool Meta.WitAi.Dictation.DictationService.ShouldSendMicData
Returns true if the audio input should be read in an activation

Object Data

override SpeechEvents Meta.WitAi.Dictation.DictationService.GetSpeechEvents ( )
If applicable, get all speech events
virtual void Meta.WitAi.Dictation.DictationService.Awake ( )
No description available.

Member Functions

void Meta.WitAi.Dictation.DictationService.Activate ( )
Activate the microphone and send data for NLU processing. Includes optional additional request parameters like dynamic entities and maximum results.
void Meta.WitAi.Dictation.DictationService.Activate
( WitRequestOptions requestOptions )
Activate the microphone and send data for NLU processing. Includes optional additional request parameters like dynamic entities and maximum results.
Parameters
requestOptions
Additional options such as custom request id
VoiceServiceRequest Meta.WitAi.Dictation.DictationService.Activate
( VoiceServiceRequestEvents requestEvents )
Activate the microphone and send data for NLU processing. Includes optional additional request parameters like dynamic entities and maximum results.
Parameters
requestOptions
Additional options such as custom request id
abstract VoiceServiceRequest Meta.WitAi.Dictation.DictationService.Activate
( WitRequestOptions requestOptions,
VoiceServiceRequestEvents requestEvents )
Activate the microphone and send data for NLU processing. Includes optional additional request parameters like dynamic entities and maximum results.
Parameters
requestOptions
Additional options such as custom request id
requestEvents
Events specific to the request's lifecycle
void Meta.WitAi.Dictation.DictationService.ActivateImmediately ( )
Activate the microphone and send data for NLU processing immediately without waiting for sound/speech from the user to begin. Includes optional additional request parameters like dynamic entities and maximum results.
void Meta.WitAi.Dictation.DictationService.ActivateImmediately
( WitRequestOptions requestOptions )
Activate the microphone and send data for NLU processing immediately without waiting for sound/speech from the user to begin. Includes optional additional request parameters like dynamic entities and maximum results.
Parameters
requestOptions
Additional options such as custom request id
VoiceServiceRequest Meta.WitAi.Dictation.DictationService.ActivateImmediately
( VoiceServiceRequestEvents requestEvents )
Activate the microphone and send data for NLU processing immediately without waiting for sound/speech from the user to begin. Includes optional additional request parameters like dynamic entities and maximum results.
Parameters
requestOptions
Additional options such as custom request id
abstract VoiceServiceRequest Meta.WitAi.Dictation.DictationService.ActivateImmediately
( WitRequestOptions requestOptions,
VoiceServiceRequestEvents requestEvents )
Activate the microphone and send data for NLU processing immediately without waiting for sound/speech from the user to begin. Includes optional additional request parameters like dynamic entities and maximum results.
Parameters
requestOptions
Additional options such as custom request id
requestEvents
Events specific to the request's lifecycle
abstract void Meta.WitAi.Dictation.DictationService.Cancel ( )
Cancels the current transcription. No FullTranscription event will fire.
Did you find this page helpful?
Thumbs up icon
Thumbs down icon